Subject: [MIB-DOCTORS] Question on assignments under mib-2

From: "Joan Cucchiara" <[email-masked]>
Date: Mon, 29 Sep 2008 13:28:10 -0400

MIB Doctors,

Background info for my question:
I) After much discussion, the BGP4 MIBs in IDR are going to be
   put under a new root under mib-2.
   (mib-2 branch names are in: http://www.iana.org/assignments/smi-numbers)

II) and, the prefix for the MIBs is going to be:   "bgp4V2"

III) After reviewing the mib-2 branch, there appears to be a pattern 
(lately) of
   assigning MIBs directly under mib-2 such that each MIB in a working group 
is
   given a direct assignment under mib-2, so the MIB, and TC-MIB each get an
   assignment directly under mib-2.   Since I don't know the
   specifics of these assignments wanted to ask to about this.
   (I do realize that this may not be an issue at all, thus, option #3.)

Option #1:
----------
My preference would be to have only one assignment under mib-2 and then have
all the MIBs in a working group use that assignment.  So for "bgp4V2" MIBs
this would be (as an example):

Number   Name              Description           Reference
XXX     bgp4V2MIB  bgp4 Version 2 MIBs   draft-idr-bgp4V2-tc-mib-00.txt

Directly under this bgp4V2MIB  there would be a few bgp4V2 MIBs:
bgp4V2MIB  ::= { mib-2 XXX}  -- XXX is assigned by IANA
    bgp4V2TcMIB  ::= { bgp4V2MIB YYY}  -- sub-id 1 is requested for YYY
    bgp4V2BaseMIB ::= { bgp4V2MIB ZZZ}   -- sub-id 2 is requested for ZZZ
--  future MIB possibility
--    bgp4V2ExtensionsMIB ::= { bgp4V2MIB AAA }  -- sub-id 3 is requested 
for AAA

Option #2
(seems to be the pattern for mib-2 assignment based on my quick review):
------------------------------------------------------------------------------
so (for example):

Number  Name                        Description             Reference
XXX     bgp4V2TcMIB           bgp4 V2 TC MIB 
draft-idr-bgp4V2-tc-mib-00.txt
-- in the above (option #1) example the name is bgp4V2BaseMIB
YYY     bgp4V2MIB               bgp4 V2 MIB 
draft-idr-bgp4V2-mib-00.txt
ZZZ     bgp4V2ExtensionsMIB bgp4 V2 Extensions MIB 
draft-idr-bgp4V2-extensions-mib-00.txt

bgp4V2TcMIB ::= { mib-2 XXX}
bgp4V2MIB ::= { mib-2 YYY}
bgp4V2ExtensionsMIB ::=  { mib-2 ZZZ}

Option 3:
---------
doesn't matter.

I don't want to break what appears (to me) to be a pattern
for assigning under mib-2, but not really sure there is actually a pattern 
so wanted
to ask.   Please let me know if what option is preferred.

Thanks,
   Joan

_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mib-doctors

---

From: "David B Harrington" <[email-masked]>
Date: Mon, 29 Sep 2008 14:40:11 -0400

see rfc4181 for a discussion of this issue.

dbh 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Joan Cucchiara
> Sent: Monday, September 29, 2008 1:28 PM
> To: MIB Doctors (E-mail)
> Subject: [MIB-DOCTORS] Question on assignments under mib-2
> 
> MIB Doctors,
> 
>    (mib-2 branch names are in: 
> http://www.iana.org/assignments/smi-numbers)
>

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 29 Sep 2008 20:43:20 +0200

On Mon, Sep 29, 2008 at 01:28:10PM -0400, Joan Cucchiara wrote:

> (lately) of assigning MIBs directly under mib-2 such that each MIB
> in a working group is given a direct assignment under mib-2, so the
> MIB, and TC-MIB each get an assignment directly under mib-2.

Correct. In the past, some WGs tried to manage OID assignments under a
common "WG" node and this has lead to problems since there is nobody
really controlling this number space. So the simplest solution to
avoid such problems is to always register MIB modules under mib-2 and
then everything is controlled by IANA using a well defined process.

See also section 4.5 in RFC 4181 where this practice is described.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
_______________________________________________
MIB-DOCTORS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mib-doctors